<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroAmountViewModel extends Entity {
	protected $value;
	protected $currency;
	protected $summary;

	public static function builder(): PagSeguroAmountViewModelBuilder {

		return new PagSeguroAmountViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getValue() {

		return $this->value;
	}


	/**
	 * @return mixed
	 */
	public function getCurrency() {

		return $this->currency;
	}


	/**
	 * @return mixed
	 */
	public function getSummary() {

		return $this->summary;
	}


	/**
	 * @param mixed $value
	 */
	public function setValue($value) {

		$this->value = $value;
	}


	/**
	 * @param mixed $currency
	 */
	public function setCurrency($currency) {

		$this->currency = $currency;
	}


	/**
	 * @param mixed $summary
	 */
	public function setSummary($summary) {

		$this->summary = $summary;
	}


	
	

}

